dots.v2.registries.byRegistry_name().repositories.byRepository_name().tags.byRepository_tag().delete()
Generated on 5 Nov 2026
from DoTs version
v1.23.0
Usage
client.v2.registries.byRegistry_name(registry_name).repositories.byRepository_name(repository_name).tags.byRepository_tag(repository_tag).delete(requestConfiguration?: RequestConfiguration<object>): Promise<void>Description
To delete a container repository tag in on of our container registries, send a DELETE request to
/v2/registries/{registry_name}/repositories/{repository_name}/tags/{repository_tag}.
Note that if your repository name contains / characters, it must be
URL-encoded in the request URL. For example, to delete
registry.digitalocean.com/example/my/repo:mytag, the path would be
/v2/registry/example/repositories/my%2Frepo/tags/mytag.
A successful request will receive a 204 status code with no body in response.
This indicates that the request was processed successfully. It is similar to DELETE /v2/registry/{registry_name}/repositories/{repository_name}/tags/{repository_tag}.
Parameters
registry_namestring requiredExample:
exampleThe name of a container registry.
repository_namestring requiredExample:
repo-1The name of a container registry repository. If the name contains
/characters, they must be URL-encoded, e.g.%2F.repository_tagstring requiredExample:
06a447aThe name of a container registry repository tag.
Request Sample
More Information
See /v2/registries/{registry_name}/repositories/{repository_name}/tags/{repository_tag} in the API reference for additional detail on responses, headers, parameters, and more.